<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="UTF-8" doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd" doctype-public="-//W3C//DTD XHTML 1.1 Strict//EN" />
<xsl:template match="email">
  <a href="mailto:{.}"><xsl:value-of select="."/></a>
</xsl:template>

<xsl:template match="fax">
  Fax: <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="generator">
    <meta Name="Generator" value="{.}" />
</xsl:template>

<xsl:template match="pager">
  Pager: <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="number">
  <xsl:choose>
    <xsl:when test="@type='Work'">
      Práce:
    </xsl:when>
    <xsl:when test="@type='Home'">
      Domů:
    </xsl:when>
    <xsl:when test="@type='Main'">
      Hlavní:
    </xsl:when>
    <xsl:when test="@type=''">
      Číslo:
    </xsl:when>
    <xsl:when test="@type='Cellular'">
      Mobil:
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="@type"/>
    </xsl:otherwise>
  </xsl:choose>
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="/">
  <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
      <link href="phonebook.css" type="text/css" rel="stylesheet" media="all" />
      <title>Motorola Phonebook by Motorola T720(i) manager</title>
      <xsl:apply-templates select="phonebook/generator" />
    </head>
  <body>
    <xsl:for-each select="phonebook/contact">
    <xsl:sort select="name"/>
      <div class="contact">
        <div class="name"><xsl:value-of select="name"/></div>
        <xsl:for-each select="email">
          <div class="email"><xsl:apply-templates select="."/></div>
        </xsl:for-each>
        <xsl:for-each select="fax">
          <div class="fax"><xsl:apply-templates select="."/></div>
        </xsl:for-each>
        <xsl:for-each select="pager">
          <div class="pager"><xsl:apply-templates select="."/></div>
        </xsl:for-each>
        <xsl:for-each select="number">
          <div class="number"><xsl:apply-templates select="."/></div>
        </xsl:for-each>
      </div>
    </xsl:for-each>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>